| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::crit_chain Class Reference
API

the crit_chain class sequences crit_actions up to full definition of the action More...

`#include <criterium.hpp>`

Inherits libdar::crit_action.

## Public Member Functions
| crit_chain (const crit_chain &ref)
const crit_chain & | operator= (const crit_chain &ref)
void | add (const crit_action &act)
void | clear ()
void | gobe (crit_chain &to_be_voided)
void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const
| the action to take based on the files to compare More...
crit_action * | clone () const
| clone construction method More...
Public Member Functions inherited from libdar::crit_action
virtual | ~crit_action ()
| the destructor
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the crit_chain class sequences crit_actions up to full definition of the action

several expressions must be added. The first is evaluated, then the second, up to the last or up to the step the data_action and ea_action are both fully defined (no data_undefined nor ea_undefined)

Definition at line 204 of file criterium.hpp.

## Member Function Documentation

crit_action* libdar::crit_chain::clone | ( |  | ) | const
| inline virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the action hierarchy class

Implements libdar::crit_action.

Definition at line 218 of file criterium.hpp.

References libdar::on_pool::get_pool().

void libdar::crit_chain::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea
| ) |  | const
| virtual

the action to take based on the files to compare

Parameters

  [in] | first | is the 'in place' inode
  [in] | second | is the 'to be added' inode
  [out] | data | is the action to perform with file's data
  [out] | ea | is the action to perform with file's EA

Implements libdar::crit_action.

The documentation for this class was generated from the following file:

- criterium.hpp